UIPluginManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.server.session.UIPluginManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu.server.session
Class UIPluginManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.hqu.server.session.UIPluginManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class UIPluginManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Constructor Summary
`UIPluginManagerEJBImpl()`

Method Summary
`void` | `attachView(ViewAdmin view, ViewAdminCategory cat)`
`void` | `attachView(ViewMasthead view, ViewMastheadCategory cat)`
`void` | `attachView(ViewResource view, ViewResourceCategory cat, Resource r)`
`View` | `createAdminView(UIPlugin p, ViewDescriptor d)`
`View` | `createMastheadView(UIPlugin p, ViewDescriptor d)`
`UIPlugin` | `createOrUpdate(java.lang.String name, java.lang.String version)`
`UIPlugin` | `createPlugin(java.lang.String name, java.lang.String ver)`
`View` | `createResourceView(UIPlugin p, ViewDescriptor d)`
`void` | `deletePlugin(UIPlugin p)` Remove a plugin, all its views, and attach points from the system.
`void` | `detach(Attachment a)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.Collection` | `findAll()` Finds all `UIPlugin`s
`Attachment` | `findAttachmentById(java.lang.Integer id)`
`AttachmentDescriptor` | `findAttachmentDescriptorById(java.lang.Integer id, AuthzSubject user)`
`java.util.Collection` | `findAttachments(AppdefEntityID ent, ViewResourceCategory cat, AuthzSubject user)` Find attachments for a resource.
`java.util.Collection` | `findAttachments(AttachType type, AuthzSubject user)` Find all attachments for a specific type
`UIPlugin` | `findPluginById(java.lang.Integer id)`
`UIPlugin` | `findPluginByName(java.lang.String name)`
`View` | `findViewById(java.lang.Integer id)`
`java.util.Collection` | `findViews(AttachType type)` Find all the views attached via a specific attach type
`static org.hyperic.hq.hqu.shared.UIPluginManagerLocal` | `getOne()`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `updatePlugin(UIPlugin p, java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIPluginManagerEJBImpl

    public UIPluginManagerEJBImpl()

Method Detail

### createPlugin

    public UIPlugin createPlugin(java.lang.String name,
                                 java.lang.String ver)

### createOrUpdate

    public UIPlugin createOrUpdate(java.lang.String name,
                                   java.lang.String version)

### createAdminView

    public View createAdminView(UIPlugin p,
                                ViewDescriptor d)

### createMastheadView

    public View createMastheadView(UIPlugin p,
                                   ViewDescriptor d)

### createResourceView

    public View createResourceView(UIPlugin p,
                                   ViewDescriptor d)

### findPluginByName

    public UIPlugin findPluginByName(java.lang.String name)

### findPluginById

    public UIPlugin findPluginById(java.lang.Integer id)

### findViewById

    public View findViewById(java.lang.Integer id)

### findAttachmentById

    public Attachment findAttachmentById(java.lang.Integer id)

### deletePlugin

    public void deletePlugin(UIPlugin p)

  Remove a plugin, all its views, and attach points from the system.

### detach

    public void detach(Attachment a)

### attachView

    public void attachView(ViewMasthead view,
                           ViewMastheadCategory cat)

### attachView

    public void attachView(ViewAdmin view,
                           ViewAdminCategory cat)

### attachView

    public void attachView(ViewResource view,
                           ViewResourceCategory cat,
                           Resource r)

### updatePlugin

    public void updatePlugin(UIPlugin p,
                             java.lang.String version)

### findAll

    public java.util.Collection findAll()

  Finds all `UIPlugin`s

### findViews

    public java.util.Collection findViews(AttachType type)

  Find all the views attached via a specific attach type

  Returns:
    a collection of `AttachType`s

### findAttachments

    public java.util.Collection findAttachments(AttachType type,
                                                AuthzSubject user)

  Find all attachments for a specific type

  Returns:
    a collection of `AttachmentDescriptor`s

### findAttachmentDescriptorById

    public AttachmentDescriptor findAttachmentDescriptorById(java.lang.Integer id,
                                                             AuthzSubject user)

### findAttachments

    public java.util.Collection findAttachments(AppdefEntityID ent,
                                                ViewResourceCategory cat,
                                                AuthzSubject user)

  Find attachments for a resource.

  Returns:
    a collection of `AttachmentDescriptor`s

### getOne

    public static org.hyperic.hq.hqu.shared.UIPluginManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.